# Vendor Credits

Group: Accounting

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/accountingVendorCredits)

A vendor credit is a credit memo from a vendor that can be applied against that vendor's bills.

A credit's available balance goes down as the credit is applied to vendor bills and goes back up when an application is undone.

## Endpoints

- [List vendor credits](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/vendorCredits.html): `GET /accounting/vendor-credits`
- [Create a vendor credit](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createVendorCredit.html): `POST /accounting/vendor-credits`
- [Search vendor credits](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchVendorCredit.html): `POST /accounting/vendor-credits/search`
- [Retrieve a vendor credit](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getVendorCredit.html): `GET /accounting/vendor-credits/{id}`
- [Update a vendor credit](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updateVendorCredit.html): `PATCH /accounting/vendor-credits/{id}`
- [Delete a vendor credit](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/deleteVendorCredit.html): `DELETE /accounting/vendor-credits/{id}`
- [Apply a vendor credit to vendor bills](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/applyVendorCredit.html): `POST /accounting/vendor-credits/{id}/apply`
- [Unapply a vendor credit from vendor bills](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/unapplyVendorCredit.html): `POST /accounting/vendor-credits/{id}/unapply`
